/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprocesstype.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workprocesstype.dao.WorkProcessDetailDao;
import com.jeeplus.modules.workprocesstype.entity.WorkProcessDetail;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 过程控制类型Service
 * @author 马鹏波
 * @version 2018-06-07
 */
@Service
@Transactional(readOnly = true)
public class WorkProcessDetailService extends CrudService<WorkProcessDetailDao, WorkProcessDetail> {

	@Autowired
	private WorkProcessDetailDao workProcessDetailDao;

	public WorkProcessDetail get(String id) {
		return super.get(id);
	}
	
	public List<WorkProcessDetail> findList(WorkProcessDetail workProcessDetail) {
		return super.findList(workProcessDetail);
	}
	
	public Page<WorkProcessDetail> findPage(Page<WorkProcessDetail> page, WorkProcessDetail workProcessDetail) {
		return super.findPage(page, workProcessDetail);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkProcessDetail workProcessDetail) {
		super.save(workProcessDetail);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkProcessDetail workProcessDetail) {
		super.delete(workProcessDetail);
	}


	public List<WorkProcessDetail> findListByState(WorkProcessDetail workProcessDetail){
		return workProcessDetailDao.findListByState(workProcessDetail);
	}
	
}